%define __libtoolize :

%global momorel 1
%global qtver 3.3.7
%global qtdir %{_libdir}/qt3
%global rel r3

Summary: 	Graphical Go client and SGF editor
Name:		qgo
Version:		1.5.4
Release:		%{momorel}m%{?dist}
License:		GPLv2
Group:		Amusements/Games
URL:		http://qgo.sourceforge.net/
Source0:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}-%{rel}.tar.gz
NoSource:	0
Source1:		qgo.desktop
Patch0:		qgo-gcc43-iostream.patch
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt3-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libICE-devel
BuildRequires:	libXmu-devel
BuildRequires:	libSM-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	libXext-devel
BuildRequires:	libXaw-devel
BuildRequires:	libXt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
qGo is a graphical Go client in which you can play Go against another player,
connect to Go servers on the Internet, or connect with local Go programs
such as Gnu Go. qGo is also a full-featured SGF editor. In addition,
qGo supports loading MGT and Jago XML format Go games.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .namespace

%build
export QTDIR=%{qtdir}
%configure \
  --with-qt-dir=%{qtdir} \
  --with-qt-includes=%{qtdir}/include \
  --with-qt-libbraries=%{qtdir}/lib

ln -s normaltools_gui.h src/normaltools.h
make %{?_smp_mflags}

cp -p %{SOURCE1} templates/qgo.desktop

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install transform='s,x,x,'

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--mode 644 \
	--vendor "" \
	--add-category Application \
	--add-category Game \
	%{buildroot}%{_datadir}/applnk/Games/qgo.desktop

rm -rf %{buildroot}%{_datadir}/applnk

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS COPYING TODO 
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/qGo
%{_datadir}/applications/*qgo.desktop
%{_datadir}/mimelnk/text/sgf.desktop

%changelog
* Tue Jun  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.4-1m)
- import from Fedora devel

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4r2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 15 2008 Chris Ricker <kaboom@oobleck.net> 1.5.4r2-1
- New upstream release
- Fix license
- Patch for new g++

* Wed Oct 11 2006 Chris Ricker <kaboom@oobleck.net> 1.5.2-1
- New upstream release

* Mon Sep 11 2006 Chris Ricker <kaboom@oobleck.net> 1.5r1-2
- Bump and rebuild

* Wed Apr 12 2006 Chris Ricker <kaboom@oobleck.net> 1.5r1
- New upstream release

* Wed Feb 15 2006 Chris Ricker <kaboom@oobleck.net> 1.0.4r2
- New upstream release
- Update for modular X

* Tue Jul 05 2005 Chris Ricker <kaboom@oobleck.net> 1.0.2-1
- New upstream release

* Sat Jun 25 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-6
- *really* fix desktop file (BZ#160007)
- fix dist tagging

* Sun Jun 12 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-5
- Fix desktop file (BZ#160007)

* Thu May 26 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-4
- Simplify qt selection

* Tue May 24 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-3
- Add dist tag

* Thu May 19 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-2
- Fix directory ownership

* Thu May 19 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-1
- Initial package
